java.awt

## Class AWTException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.awt.AWTException

All Implemented Interfaces:
  Serializable

    public class AWTException
    extends Exception

Signals that an Abstract Window Toolkit exception has occurred.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AWTException(String msg)` Constructs an instance of `AWTException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AWTException

    public AWTException(String msg)

Constructs an instance of `AWTException` with the specified detail message. A detail message is an instance of `String` that describes this particular exception.

Parameters:
  `msg` - the detail message
Since:
  JDK1.0